export default {

	value:{
		type:Boolean,
		default:false
	},

	/*
	* 	过渡时间
	* */
	duration:{
		type: Number,
		default: 300
	},

	/*
	* 	内部元素过渡动画时间
	* 		默认启用 	duration
	* */
	contentDuration:{
		type: Number
	},


	/*
	* 	背景色
	* */
	background:{
		type: String,
		default:'rgba(0,0,0,0.5)'
	},

	/*
	* 	是否透明
	* */
	transparent:{
		type: Boolean,
		default: false
	},


	/*
	* 	动画类型
	* 			opacity
	* 			scale
	* 			translateX
	* 			translateXR
	* 			translateY
	* 			translateYR
	* 			skew
	* 			skewR
	* 			skewY
	* 			skewYR
	* 			rotate
	* 			rotateX
	* 			rotateY
	* 		允许指定多个动画
	*			scale,opacity 例如
	* */
	animate:{
		type: String,
		default: 'opacity'
	},

	/*
	* 	动画类型
	* */
	animateType:{
		type:String,
		default:'linear'
	},

	/*
	* 	内部动画
	* */
	animateContent:{
		type: String,
		default:'scale'
	},

	/*
	* 	内部动画类型 默认 启用 animateType
	* */
	animateContentType:{
		type:String
	},

	/*
	* 	如果不填写 animateContent 默认不继承动画
	* */
	animateExtend:{
		type: Boolean,
		default: true
	},

	/*
	* 	弹窗
	* */
	default:{
		type: Boolean,
		default: false
	},

	/*
	* 	同步或者异步渲染 默认为 同步
	* */
	async:{
		type: Boolean,
		default:false
	},

	/*
	* 	如果为 异步 延迟 多久 便可以执行下一个动画
	* */
	asyncDiff:{
		type: Number
	},

	/*
	* 是否允许事件穿透
	* */
	pointerEvents:{
		type: Boolean,
		default: false
	}


};


