import config from '@/config/config';
export default {
    statusBarHeight: {
        type: Number,
        default: config.system.statusBarHeight
    },
    border: {
        type: Boolean,
        default: false
    },
    scroll: {
        type: Boolean,
        default: false
    },
    transitionScroll:{
        type: Boolean,
        default: false
    },
    transitionAdd:{
        type:Number,
        default:0
    },
    transitionBackgroundColor: {
        type: String,
        default: "#FE4431"
    },
    transitionDistance: {
        type: Number
    },
    backgroundColor: {
        type: String,
        default: '#F7F7F7'
    },
    headerHeight: {
        type: Number,
        default: config.headerHeight
    },
    headerBackgroundColor: {
        type: String,
        default: "#fff"
    },
    immersion: {
        type: Boolean,
        default: false
    },
    immersionFixed:{
        type: Boolean,
        default: false
    },
    headerStyle: {
        type: String,
        default: 'black'
    },
    title: {
        type: String,
        default: '首页'
    },
    mode: {
        type: String,
        default: 'back'
    },
    alignCenter: {
        type: Boolean,
        default: true
    },
    control: {
        type: Boolean,
        default: true
    },
    async: {
        type: Boolean,
        default: false
    },
    asyncTime: {
        type: Number,
        default: 3000
    },
    timeout: {
        type: Number,
        default: 1200
    },
    phoneX: {
        type: Boolean,
        default: true
    },
    footerHeight: {
        type: Number,
        default: 0
    },
    modal: {
        type: Array,
        default: []
    },
    service:{
        type:Boolean,
        default:false
    }
}