export default function (status=0) {
    return [
        {
            label:'货物状态',
            value:status>=3 ? 1: 0,
            key:'receiving_status',
            data:[
                {
                    label:'未收到',
                    value:0
                },
                {
                    label:'已收到',
                    value:1
                }
            ]
        },
        {
            label: '服务类型',
            value:status>=3 ? 1 : 0,
            key:'service_type',
            data:[
                {
                    label:'我要退款(无需退货)',
                    target:'退款',
                    value:0,
                    key:'refund_explain'
                },
                {
                    label: '我要退货退款',
                    target:'退款',
                    targetLabel:'退货退款',
                    value:1,
                    key:'refund_explain'
                },
                {
                    label: '换货',
                    target:'换货',
                    value:2,
                    key:'reason_type'
                }
            ]
        }
    ]

}